# 6.103. CUpti_MetricValue

union CUpti_MetricValue
  #include </dvs/p4/build/sw/devtools/Agora/Rel/CUDA12.6/Shared/Cuda/Modules/Cupti/Inc/cupti_metrics.h>

  A metric value.

  Metric values can be one of several different kinds. Corresponding to each kind is a member of the CUpti_MetricValue union. The metric value returned by cuptiMetricGetValue should be accessed using the appropriate member of that union based on its value kind.

  Public Members

  double metricValueDouble
  uint64_t metricValueUint64
  int64_t metricValueInt64
  double metricValuePercent
  uint64_t metricValueThroughput
  CUpti_MetricValueUtilizationLevel metricValueUtilizationLevel